# Django settings for touchscreen project.

DEBUG = False
TEMPLATE_DEBUG = DEBUG

ADMINS = (
    # ('Your Name', 'your_email@domain.com'),
)

MANAGERS = ADMINS

# prefix used for the site.  ie. http://myhost.com/<SITE_ROOT>
# For the django standalone server this should be blank. For apache this is the
# url the site is mapped to, i.e. /touchscreen
SITE_ROOT = ''
 
# absolute path to the docroot of this site WITHOUT the final  /
# e.g. /your/path/here
DOC_ROOT = __file__[:__file__.rfind('/')]

# DATABASE SETTINGS
DATABASE_ENGINE   = 'sqlite3'   # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME     = DOC_ROOT+'/touchscreen.db'  # Or path to database file if using sqlite3.
DATABASE_USER     = ''  # Not used with sqlite3.
DATABASE_PASSWORD = ''  # Not used with sqlite3.
DATABASE_HOST     = ''  # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT     = ''  # Set to empty string for default. Not used with sqlite3.

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = 'America/Chicago'

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en-us'

SITE_ID = 1

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
MEDIA_ROOT = '%s/static' % DOC_ROOT

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = '%s/static' % SITE_ROOT

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a
# trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/media'

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'dk#^frv&4asdfasdfasdft-1jyc@qsdfsadf9y7zq&@&8)g#szu4'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
#     'django.template.loaders.eggs.load_template_source',
)

MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
)

ROOT_URLCONF = 'urls'

TEMPLATE_DIRS = (
    # Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
    # Always use forward slashes, even on Windows.
    # Don't forget to use absolute paths, not relative paths.
)

INSTALLED_APPS = (
    # TOUCHSCREEN REQUIRED APPS
    'django.contrib.contenttypes',
    'django.contrib.auth',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'muddle',
    'core',

    # EXAMPLE SCREENS
    'screens.EXAMPLES.helloscreen',
    'screens.EXAMPLES.fooscreen',

    # DISPLAY SCREENS   
    #'screens.osl_about',
    #'screens.osl_bandwidth',
    #'screens.people',
    #'screens.sponsors',
    #'screens.weather'
)

# core muddle plugins required by touchscreen 
CORE_PLUGINS = (
    'core.plugin_manager.ScreenManager',
    'core.plugin_manager.ScreenAnimationManager',
    'core.screen_animations.Slide',
    'core.screen_animations.Fade'
)

# abstract muddle plugin classes that touchscreen defines
ABSTRACT_PLUGINS = (
    'core.models.TouchscreenPlugin',
    'core.models.Screen',
    'core.models.ScreenAnimation'
)
